

CREATE TABLE LIEFERUNG
(
  ID integer NOT NULL,
  RECH_ID integer NOT NULL,
  LIEFERTEXT varchar(100),
  LIEFERDATUM timestamp,
  CONSTRAINT LIEFERUNG_PK PRIMARY KEY (ID)
);
CREATE TABLE POS
(
  ID integer NOT NULL,
  LIEF_ID integer NOT NULL,
  MENGE double precision,
  ARTIKEL varchar(200),
  EINZELPREIS double precision,
  CONSTRAINT POS_PK PRIMARY KEY (ID)
);
CREATE TABLE RECHNUNG
(
  ID integer NOT NULL,
  RECHNR integer NOT NULL,
  DATUM timestamp,
  KUNDENNAME varchar(150),
  CONSTRAINT RECHNUNG_PK PRIMARY KEY (ID)
);
ALTER TABLE LIEFERUNG ADD CONSTRAINT FK_LIEFERUNG_0
  FOREIGN KEY (RECH_ID) REFERENCES RECHNUNG (ID);
ALTER TABLE POS ADD CONSTRAINT FK_POS_0
  FOREIGN KEY (LIEF_ID) REFERENCES LIEFERUNG (ID);
commit;
INSERT INTO RECHNUNG (ID, RECHNR, DATUM, KUNDENNAME) VALUES ('1', '1', '01.12.2023, 00:00:00.000', 'Huber');
INSERT INTO LIEFERUNG (ID, RECH_ID, LIEFERTEXT, LIEFERDATUM) VALUES ('1', '1', 'lief 1', '01.12.2023, 00:00:00.000');
INSERT INTO LIEFERUNG (ID, RECH_ID, LIEFERTEXT, LIEFERDATUM) VALUES ('2', '1', 'lief 2', '02.12.2023, 00:00:00.000');
INSERT INTO POS (ID, LIEF_ID, MENGE, ARTIKEL, EINZELPREIS) VALUES ('1', '1', '2.000000', 'M8', '1.200000');
INSERT INTO POS (ID, LIEF_ID, MENGE, ARTIKEL, EINZELPREIS) VALUES ('2', '1', '5.000000', 'M10', '1.300000');
INSERT INTO POS (ID, LIEF_ID, MENGE, ARTIKEL, EINZELPREIS) VALUES ('3', '2', '4.000000', 'M12', '1.400000');
INSERT INTO POS (ID, LIEF_ID, MENGE, ARTIKEL, EINZELPREIS) VALUES ('4', '2', '2.500000', 'M14', '1.500000');
INSERT INTO POS (ID, LIEF_ID, MENGE, ARTIKEL, EINZELPREIS) VALUES ('5', '2', '6.000000', 'M16', '2.000000');
commit;